import { Argv, Arguments } from 'yargs';
export declare const command = "repos";
export declare const aliases: string[];
export declare const desc = "Get a list of repos of a specified owner or with a specified affiliation to the authenticated user";
export declare const builder: (yargs: Argv) => Argv<{
    owner: string | undefined;
} & {
    affiliation: string | undefined;
} & {
    organization: string | undefined;
} & {
    repos: string | undefined;
} & {
    sort: string | undefined;
} & {
    direction: string | undefined;
} & {
    full: boolean;
}>;
export declare const handler: (argv: Arguments) => Promise<void>;
//# sourceMappingURL=repos.cmd.d.ts.map