import { Provider } from '../../providers/types';
export declare function testRetryConfiguration(retryCount: number, statusCode: number): {
    retryCount: number;
    delayInMs: number;
    backoffFactor: number;
    statusCode: number;
    maxDelayMS: number;
}[];
export declare function generateMocksForRetryTests(retryCount: number, reqMock: any, successAfter: number, reqSuccessMock: any, preRunMocks?: any[]): void;
export declare function execRetryTestWithMock(client: Provider, retries: number, retryErrorCode: number, reqMock: any, successAttempt: number, successMock: any, responseErrorCode: number, preMocks: any[]): Promise<(number | any[] | {
    owner: string;
    repo: string;
    ref: string;
    path: string;
    retryConfig: {
        retryCount: number;
        delayInMs: number;
        backoffFactor: number;
        statusCode: number;
        maxDelayMS: number;
    }[];
})[]>;
//# sourceMappingURL=retry-test-helper.d.ts.map